13.1. 依赖管理

Spring Boot每次发布时都会提供一个它所支持的精选依赖列表。实际上,在构建配置里你不需要提供任何依赖的版本,因为Spring Boot已经替你管理好了。当更新Spring Boot时,那些依赖也会一起更新。

如果有必要,你可以指定依赖的版本来覆盖Spring Boot默认版本。

精选列表包括所有能够跟Spring Boot一起使用的Spring模块及第三方库,该列表可以在材料清单(spring-boot-dependencies)获取到,也可以找到一些支持MavenGradle的资料。

Spring Boot每次发布都关联一个Spring框架的基础版本,所以强烈建议你不要自己指定Spring版本。

results matching ""

    No results matching ""